﻿
function Liquid_Wealth:BuildIcons(Char) --Builds the Players Icon Texture file path
    local Gender={"N/A","Male","Female"};
    local texLocationClass="Interface\\Addons\\Liquid_Wealth\\Images\\Class\\";
	local texExt = ".blp"
    local texLocationRace="Interface\\Icons\\";
    local texString="";
    local sex,race,class=strsplit(":",Char);
    --texString="|T"..texLocationRace..race.."-"..Gender[tonumber(sex)]..".tga:25|t".."|T"..texLocationClass..class.."_icon.tga:25|t";
	if (race == "Blood Elf") then
		texString="|T"..texLocationRace.."Achievement_Character_Bloodelf_"..Gender[tonumber(sex)]..":25|t".."|T"..texLocationClass..class..texExt..":25|t";
	elseif (race == "Night Elf") then
		texString="|T"..texLocationRace.."Achievement_Character_Nightelf_"..Gender[tonumber(sex)]..":25|t".."|T"..texLocationClass..class..texExt..":25|t";
	else
		texString="|T"..texLocationRace.."Achievement_Character_"..race.."_"..Gender[tonumber(sex)]..":25|t".."|T"..texLocationClass..class..texExt..":25|t";
	end
    return texString;
end

function Liquid_Wealth:BuildBagIcons(itemID,ItemTexturePath)
	if (itemID=="Bank") or (itemID=="Backpack") then --Show BagIcon for bank or backup
			return "|TInterface\\Icons\\INV_Misc_Bag_08:25|t";
	elseif not (ItemTexturePath == nil) then
		return "|T"..ItemTexturePath..":25|t";
	--elseif (itemID=="NONE") or (itemID==nil) or (itemID=="") or (itemID==0) then
	else
		return "|TInterface\\GossipFrame\\ActiveQuestIcon:25|t"; --Show QuestIcon if no bag is dected
	end
end
